# Remember: Fix temporary workaround in ati-fglrx.profile.d

%define atilibdir 	%{_libdir}/ati-fglrx
%define atilibdir32bit 	%{_prefix}/lib/ati-fglrx

Name:           xorg-x11-drv-fglrx
Version:        8.26.18
Release:        1%{?dist}
Summary:        ATI proprietary driver for ATI Radeon graphic cards

Group:          User Interface/X Hardware Support
License:        Distributable
URL:            http://www.ati.com/support/drivers/linux/radeon-linux.html

Source0:        https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-8.26.18-x86.run
Source1:	https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/64bit/ati-driver-installer-8.26.18-x86_64.run

Source3:        ati-fglrx-README.fglrx.Fedora
Source4:	ati-fglrx-fireglcontrol.desktop
Source10:       ati-fglrx-config-display
Source11:       ati-fglrx.init	
Source12:	ati-fglrx.profile.d

Patch0:		ati-fglrx-panel_sources.diff

ExclusiveArch:  x86_64 i386

Provides:        fglrx-kmod-common = %{version}

Obsoletes:       ati-fglrx
Obsoletes:       fglrx-kmod < %{version}

Requires:        fglrx-kmod >= %{version}
Requires(post):  fglrx-kmod >= %{version}
Requires(post):  chkconfig 
Requires(post):  ldconfig 
Requires(preun): chkconfig

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Conflicts:	fglrx
Conflicts:	nvidia-glx
Conflicts:	nvidia-glx-legacy
Conflicts:	xorg-x11-drv-nvidia
Conflicts:	xorg-x11-drv-nvidia-legacy

BuildRequires:  qt-devel, desktop-file-utils
BuildRequires:  mesa-libGLU-devel, mesa-libGL-devel, libXmu-devel, libXxf86vm-devel

%description
This package contains the X11 driver, utilities and libraries needed for the
ATI proprietary driver for ATI Radeon graphic cards.


%package devel
Summary:        ATI proprietary driver for ATI Radeon graphic cards, devel part
Group:		Development/Libraries

Requires:	%{name} = %{version}-%{release}
Requires:	%{_includedir}/X11/extensions, %{_includedir}/GL

%description devel
This package provides header files and examples required for development
for the ATI proprietary driver for ATI Radeon graphic cards.

%ifarch x86_64
%package libs-32bit
Summary:        32bit librarys for ATI's proprietary driver
Group:		User Interface/X Hardware Support
Requires:	%{name} = %{version}-%{release}

%description libs-32bit
This package contains the 32bit libraries of ATI's proprietary driver for
ATI Radeon graphic cards.
%endif


%prep
%setup -q -c -T 
sh %{SOURCE0} --extract fglrxpkg-x86
sh %{SOURCE1} --extract fglrxpkg-x64
tar -cvjf fglrx-kmod-data-%{version}.tar.bz2 fglrxpkg-*/ATI_LICENSE.TXT fglrxpkg-*/common/*/modules/fglrx/ fglrxpkg-*/arch/*/*/modules/fglrx/ 


%ifarch %{ix86}
ln -s fglrxpkg-x86 fglrx
%else
ln -s fglrxpkg-x64 fglrx
%endif
mkdir fglrxpkg
cp -r fglrx/common/* fglrx/x690*/* fglrx/arch/*/* fglrxpkg/

mkdir -p fglrx_panel_sources
pushd fglrx_panel_sources
tar -xzf ../fglrxpkg/usr/src/ATI/fglrx_panel_sources.tgz
%patch0 -p0 -b .patch0
# we want to strip the binary
sed -i 's|STRIP = strip|STRIP = @echo strip is disabled for:|' Makefile
# correct name
sed -i 's|BASENAME =  fireglcontrol|BASENAME =  fireglcontrolpanel|' Makefile
popd


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
pushd fglrx_panel_sources
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT ./__doc

set +x
for file in $(cd fglrxpkg &> /dev/null; find . -type f | grep -v -e 'fireglcontrol.kdelnk$' -e 'fireglcontrol.desktop$' -e 'lib/modules/fglrx$' -e 'ati.xpm$' -e 'fireglcontrolpanel$' -e '/usr/share/doc/fglrx/' -e 'fglrx_panel_sources.tgz$' -e 'fireglcontrol_kde3.desktop$' -e 'fglrx_sample_source.tgz$' -e 'fglrx_sample_source.tgz$' -e '^./lib/modules/fglrx')
do
  if [[ ! "/${file##}" = "/${file}" ]]
  then
    install -D -p -m 0644 fglrxpkg/${file} ./__doc/${file##./usr/share/doc/fglrx/}
  elif [[ ! "/${file##./usr/X11R6/%{_lib}/modules}" = "/${file}" ]]
  then
    install -D -p -m 0755 fglrxpkg/${file} $RPM_BUILD_ROOT/%{_libdir}/xorg/modules/${file##./usr/X11R6/%{_lib}/modules}
  elif [[ ! "/${file##./usr/X11R6/lib/modules}" = "/${file}" ]]
  then
    install -D -p -m 0755 fglrxpkg/${file} $RPM_BUILD_ROOT/%{_prefix}/lib/xorg/modules/${file##./usr/X11R6/lib/modules}
  elif [[ ! "/${file##./usr/X11R6/include/X11/extensions}" = "/${file}" ]]
  then
    install -D -p -m 0644 fglrxpkg/${file} $RPM_BUILD_ROOT/%{_includedir}/X11/extensions/${file##./usr/X11R6/include/X11/extensions}
  elif [[ ! "/${file##./usr/X11R6/%{_lib}/}" = "/${file}" ]]
  then
    install -D -p -m 0755 fglrxpkg/${file} $RPM_BUILD_ROOT/%{atilibdir}/${file##./usr/X11R6/%{_lib}/}
  elif [[ ! "/${file##./usr/X11R6/lib/}" = "/${file}" ]]
  then
    install -D -p -m 0755 fglrxpkg/${file} $RPM_BUILD_ROOT/%{atilibdir32bit}/${file##./usr/X11R6/lib/}
  elif [[ ! "/${file##./usr/X11R6/bin/}" = "/${file}" ]] 
  then
    install -D -p -m 0755 fglrxpkg/${file} $RPM_BUILD_ROOT/%{_bindir}/${file##./usr/X11R6/bin/}
  elif [[ ! "/${file##./usr/bin/}" = "/${file}" ]] 
  then
    install -D -p -m 0755 fglrxpkg/${file} $RPM_BUILD_ROOT/%{_bindir}/${file##./usr/bin/}
  elif [[ ! "/${file##./usr/include/}" = "/${file}" ]] || [[ ! "/${file##./etc/}" = "/${file}" ]] || [[ ! "/${file##./usr/share/man/}" = "/${file}" ]] || [[ ! "/${file##./usr/sbin/}" = "/${file}" ]]
  then
    install -D -p -m 0644 fglrxpkg/${file} $RPM_BUILD_ROOT/${file}
  else
    echo ${file} found -- don\'t know how to handle
    exit 1
  fi
done
set -x

ln -s libfglrx_gamma.so.1.0 $RPM_BUILD_ROOT/%{atilibdir}/libfglrx_gamma.so.1
ln -s libfglrx_dm.so.1.0 $RPM_BUILD_ROOT/%{atilibdir}/libfglrx_dm.so.1
ln -s libfglrx_pp.so.1.0 $RPM_BUILD_ROOT/%{atilibdir}/libfglrx_pp.so.1
ln -s libGL.so.1.2 $RPM_BUILD_ROOT/%{atilibdir}/libGL.so.1

# workaround for modular X, part1
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules/dri/
ln -s %{_libdir}/xorg/modules/dri/fglrx_dri.so $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules/dri/fglrx_dri.so
ln -s %{_libdir}/xorg/modules/dri/atiogl_a_dri.so $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules/dri/atiogl_a_dri.so
%ifarch x86_64
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/modules/dri/
ln -s %{_prefix}/lib/xorg/modules/dri/fglrx_dri.so $RPM_BUILD_ROOT/usr/X11R6/lib/modules/dri/fglrx_dri.so
ln -s %{_prefix}/lib/xorg/modules/dri/atiogl_a_dri.so $RPM_BUILD_ROOT/usr/X11R6/lib/modules/dri/atiogl_a_dri.so
%endif


install -D -p -m 0644 fglrx_panel_sources/ati.xpm $RPM_BUILD_ROOT/%{_datadir}/pixmaps/ati.xpm
install -D -p -m 0755 fglrx_panel_sources/fireglcontrolpanel $RPM_BUILD_ROOT/%{_bindir}/fireglcontrolpanel
install -D -p -m 0644 %{SOURCE3} fglrx/usr/share/doc/fglrx/%(basename %{SOURCE3})
install -D -p -m 0755 %{SOURCE10} $RPM_BUILD_ROOT%{_sbindir}/%(basename %{SOURCE10})
install -D -p -m 0755 %{SOURCE11} $RPM_BUILD_ROOT%{_initrddir}/ati-fglrx
install -D -p -m 0755 %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/ati-fglrx.sh

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
echo "disabled" > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ati-fglrx-config-display

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor livna \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Livna \
    --add-category System \
    --add-category Application \
    --add-category KDE \
    --add-category Qt \
    %{SOURCE4}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig ||:
if [ "${1}" -eq 1 ]; then
  # Enable ati-fglrx driver when installing
  %{_sbindir}/ati-fglrx-config-display enable &>/dev/null ||:
  # Add init script and start it
  /sbin/chkconfig --add ati-fglrx ||:
  /etc/init.d/ati-fglrx start &>/dev/null ||:
fi ||:
# brute force until #191054 is fixed
[[ -e /usr/bin/chcon ]] && /usr/bin/chcon \
  system_u:object_r:textrel_shlib_t:s0 \
  %{_libdir}/ati-fglrx/*.so.* \
  %{_libdir}/xorg/modules/drivers/fglrx_drv.so  \
  %{_libdir}/xorg/modules/dri/fglrx_dri.so &> /dev/null ||:



%preun 
if [ "${1}" -eq 0 ]; then
  # Disable driver on final removal
  /etc/init.d/ati-fglrx stop &>/dev/null
  /sbin/chkconfig --del ati-fglrx
  test -f %{_sbindir}/ati-fglrx-config-display && %{_sbindir}/ati-fglrx-config-display disable &>/dev/null ||:
fi ||:

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc fglrxpkg/usr/share/doc/fglrx/*
# workaround for modular X, part2
%dir %{_prefix}/X11R6/
%{_prefix}/X11R6/%{_lib}
%{_datadir}/pixmaps/ati.xpm
%{_sysconfdir}/profile.d/ati-fglrx.sh
%{_sysconfdir}/ati
%{_sbindir}/atieventsd
%{_bindir}/aticonfig
%{_bindir}/fgl_glxgears
%{_bindir}/fglrxinfo
%{_bindir}/fglrx_xgamma
%{_bindir}/fireglcontrolpanel
%dir %{atilibdir}
%{atilibdir}/libaticonfig.a
%{atilibdir}/libfglrx_pp.*
%{atilibdir}/libfglrx_dm.*
%{atilibdir}/libfglrx_gamma.*
%{atilibdir}/libGL.so.*
%config %{_sysconfdir}/fglrxrc
%config %{_sysconfdir}/fglrxprofiles.csv
%{_libdir}/xorg/modules/drivers/fglrx_drv.so
%{_libdir}/xorg/modules/linux/libfglrxdrm.so
%{_libdir}/xorg/modules/dri/atiogl_a_dri.so
%{_libdir}/xorg/modules/dri/fglrx_dri.so
%{_initrddir}/ati-fglrx
%{_sbindir}/ati-fglrx-config-display
%{_datadir}/applications/livna-ati-fglrx-fireglcontrol.desktop
%{_mandir}/man8/atieventsd.8.gz

%files devel
%defattr(-,root,root,-)
%doc fglrxpkg/usr/src/ATI/fglrx_sample_source.tgz
%{_includedir}/GL/glxATI.h
%{_includedir}/GL/glATI.h
%{_includedir}/X11/extensions/fglrx_gamma.h

%ifarch x86_64
%files libs-32bit
%defattr(-,root,root,-)
%{atilibdir32bit}/
%{_prefix}/lib/xorg/
%{_prefix}/X11R6/lib/
%endif
%ghost %{_sysconfdir}/sysconfig/ati-fglrx-config-display


%changelog
* Tue Jun 27 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.26.18-1
- Update to 8.26.18

* Fri Jun 02 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.25.18-2
- Fix 32bit libs

* Wed May 24 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.25.18-1
- Update to 8.25.18

* Fri May 19 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.24.8-3
- Change security context in %%post until #191054 is fixed
- conflict with nvidia packages

* Sun May 14 2006 Ville Skyttä <ville.skytta at iki.fi> - 8.24.8-2
- Require fglrx-kmod instead of kmod-fglrx, obsolete incompatible kmods (#970).

* Sat Apr 15 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.24.8-1
- Update to 8.24.8

* Sun Apr 02 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.23.7-6
- Fix a "lib != %%{_lib}"

* Wed Mar 29 2006 Niko Mirthes (straw) <nmirthes AT gmail DOT com> - 8.23.7-5
- fix perms on the headers
- tweak nvidia-settings' desktop file slightly

* Sun Mar 26 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.23.7-4
- fix another stupid oddity of fglrx with modular X

* Sun Mar 26 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.23.7-3
- fix deps in devel
- separate package for 32bit libs
- some cleanups from straw
- always activate driver
- try to unload drm and radeon in profile.d script

* Sat Mar 18 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.23.7-2
- update ati-fglrx-config-display
- packge /usr/lib/xorg/modules/dri/fglrx_dri.so for now

* Sat Mar 18 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.23.7-1
- drop 0.lvn
- update to 8.23.7
- ExclusiveArch i386 and not %%{ix86} -- we don't want to build for athlon&co
- package some links that ldconfig normally would create

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Mon Jan 30 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.20.8.1-0.lvn.1
- split into packages for userland and kmod
- rename to xorg-x11-drv-fglrx; yum/rpm should use mesa-libGL{,-devel} then in 
  the future when seaching for libGL.so{,.1}
- remove kernel-module part
- remove old cruft

* Mon Dec 19 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.20.8.1-0.lvn.3
- Add patch for kernel 2.6.15

* Tue Dec 13 2005 Dams <anvil[AT]livna.org> - 8.20.8.1-0.lvn.2
- Really dropped Epoch

* Sat Dec 10 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.20.8.1-0.lvn.1
- Update to 8.20.8-1
- Drop Epoch

* Sun Nov 13 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 8.19.10.1-0.lvn.2
- Patch for 2.6.14 still needed on x86_64 (thx Ryo Dairiki for noticing)

* Sat Nov 12 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.19.10.1-0.lvn.1
- Update to 8.19.10-1
- Remove patches for 2.6.14
- Add fresh translation to desktop-file

* Wed Nov 09 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.18.6.1-0.lvn.2
- Patch kernel-module source to compile with 2.6.14

* Thu Oct 13 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.18.6.1-0.lvn.1
- Update to 8.18.6-1
- Conflict with nvidia-glx{,-legacy) (#627)
- Fix moduleline.split in ati-fglrx-config-display (#582)
- Unload drm in ati-fglrx-config-display, too
- Only ship self compiled fireglcontrolpanel

* Fri Aug 19 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.16.20.1-0.lvn.1
- Update to 8.16.20-1
- Update patch1, fireglcontrol.desktop
- Don't strip kernel-module for now

* Tue Jun 07 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.14.13.1-0.lvn.5
- Update fglrx-2.6.12-inter_module_get.patch (thx to Mike Duigou)

* Tue Jun 07 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.14.13.1-0.lvn.4
- Add patches from http://ati.cchtml.com/show_bug.cgi?id=136 and some tricks 
  to built with 2.6.12 -- fixes building for FC4

* Tue Jun 07 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.14.13.1-0.lvn.3
- Missed one thing during reword of kernel-module-build-stuff
- Both x86_64 and x86 in the same package now

* Sun Jun 05 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.14.13.1-0.lvn.2
- Fix thinko

* Sun Jun 05 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.14.13.1-0.lvn.1
- Rework kernel-module-build-stuff for FC3 kmd and FC4 and new livna scheme
- Simplify the install; Lowers risk to miss files and is easier to maintain
- Remove dep on fedora-rpmdevtools
- Use modules and userland rpmbuild parameter to not build kernel- or driver-package  

* Wed May 04 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.12.10.1-0.lvn.2
- Add fix for kernel 2.6.11

* Fri Apr 08 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.12.10.1-0.lvn.1
- Update to 8.12.10-1
- mod 0755 dri.so to let rpm detect require libstdc++.so.5

* Thu Mar 06 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.10.19.1-0.lvn.2
- Add patch for via agpgart (#355)

* Thu Feb 17 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.10.19.1-0.lvn.1
- Update to 8.10.19-1
- Remove patch for 2.6.10 kernel
- require libstdc++.so.5

* Wed Jan 19 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.8.25.1-0.lvn.4
- fix x86-64 in spec-file and in ati-fglrx-config-display
- Fix by Ville Skyttä: ldconfig on upgrades  

* Wed Jan 19 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.8.25.1-0.lvn.3
- Package library links

* Wed Jan 19 2005 Dams <anvil[AT]livna.org> - 0:8.8.25.1-0.lvn.2
- Urlized ati rpm source

* Sat Jan 15 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:8.8.25.1-0.lvn.1
- Update to 8.8.25
- Remove workaround from last version
- Remove special drm includes
- Prepare package for 64-bit version; But untested ATM
- Update patches

* Tue Jan 11 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.6-0.lvn.3
- add patch10 -- allows building on 2.6.10; Found:
  http://www.rage3d.com/board/showthread.php?t=33798874&highlight=2.6.10
- update drm-includes
- temporary for kernel-module:  Requires: ati-fglrx >= %{epoch}:%{version}-0.lvn.2
  so we don't have to rebuild the driver package

* Sun Nov 21 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.6-0.lvn.2
- Use kernelp and driverp rpmbuild parameter to not build kernel- or 
  driver-package  
- Trim doc in header

* Fri Nov 04 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.6-0.lvn.1
- Update to 3.14.6

* Fri Nov 04 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.1-0.lvn.7
- Build per default without kmoddev
- Rename --without tools to --without dirverp
- Update dri-headers to 2.6.9 version 
- update building documentation in header

* Fri Oct 22 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.1-0.lvn.6
- Some small cleanups to various parts of the package as suggested by Dams

* Fri Oct 22 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.1-0.lvn.5
- Enhance makefile patch so building with different uname should work correctly
- Build verbose

* Thu Oct 21 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.1-0.lvn.4
- Update fedora-unrpm usage to work with newer version
- Update one para in README and ati-fglrx-config-display output

* Fri Oct 15 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.1-0.lvn.3
- Change the enabling/disabling methode again -- driver is changed now 
  directly. DRI is enabled when fglrx is enabled, but try to unload/warn if
  radeon kernel-module is loaded. DRI will be disabled and reenabled on the 
  when next restart when disableing fglrx driver. 
- Update README.fglrx.Fedora

* Mon Oct 11 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.1-0.lvn.2
- Let new version of ati-flrx-config-display change default depth to 24
- Updated Spec-File bits: fedora-kmodhelper usage and building description

* Thu Sep 30 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.14.1-0.lvn.1
- Update to 3.14.1
- In expectation of missing kernel-sourcecode package in FC3 remove the BR
  on it and include the neccessary header-files in the package. Will
  integrate more packages if there are API changes. But for now I
  think this is the easiest methode.
- Let ati-flrx-config-display handle /etc/ld.so.conf.d/ati-fglrx.conf
- Update ati-flrx-config-display; it adds a VideoOverlay Option now 
  so xv works out of the box
- Don't (de)activate driver if DRI-Kernel-Modules are loaded; Let the
  init script to that during restart
- Update README.fglrx.Fedora 

* Wed Sep 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:3.12.0-0.lvn.2
- Allow rpm to strip the kernel module.
- Fix shared library permissions.
- Split Requires(post,postun) to two to work around a bug in rpm.
- Fix -devel dependencies and kernel module package provisions.
- Improve summary and description, remove misleading comments.

* Sat Sep 11 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.12.0-0.lvn.1
- Update to 3.12.0
- Fix some fedora-kmodhelper/kernel-module related bits in spec
- Clean up install part a bit more 

* Sun Sep 05 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.11.1-0.lvn.6
- Add stupid ati-fglrx.profile.d workaround for systems that had the
  original fglrx drivers installed before
- Conflict with fglrx -- the package should be removed so it can clean up
  the mess it did itself. 
- Clean up desktop file

* Tue Aug 24 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.11.1-0.lvn.5
- Add ifdefs so building tools and kernel-module can be separated
- BuildRequire kernel-sourcecode kverrel, not kernel

* Wed Aug 17 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.11.1-0.lvn.4
- Fixed double release in Requires of devel-package
- Building against custom kernels now should work using rhkernel-macro
- Updated fedora-kmodhelper to 0.9.10
- Add 'include ld.so.conf.d/*.conf' before /usr/lib/X11 in /etc/ld.so.conf if
  it does not exists

* Wed Aug 10 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.11.1-0.lvn.3
- small fixes for dump issues

* Thu Aug 09 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.11.1-0.lvn.2
- BuildRequire fedora-rpmdevtools
- Use KERNEL_PATH correctly, needs updated patch1

* Sat Aug 07 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.11.1-0.lvn.1
- Update to 3.11.1
- Minor fixes

* Fri Aug  6 2004 Dams <anvil[AT]livna.org> 0:3.9.0-0.lvn.4
- .a files are 0644 moded. tgz files too.
- Added missing BuildReq: desktop-file-utils, qt-devel, fedora-rpmdevtools

* Mon Jul 19 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.9.0-0.lvn.3
- Update Patches to a working solution
- Modify start-script-- fglrx can also work without kernel-module (no DRI then)

* Sun Jul 18 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.9.0-0.lvn.2
- intergrate Readme, init-script and ati-fglrx-config-display (stolen from
  nvidia package) 

* Sat Jul 17 2004 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 0:3.9.0-0.lvn.1
- Initial RPM release.
